com.holonplatform.vaadin.components.builders

## Interface BaseSelectModeMultiSelectInputBuilder.SelectModeMultiSelectInputBuilder<T>

- Type Parameters:
    `T` - Value type
  All Superinterfaces:
    BaseSelectInputBuilder<Set<T>,MultiSelect<T>,T,T,BaseSelectModeMultiSelectInputBuilder.SelectModeMultiSelectInputBuilder<T>>, BaseSelectInputBuilder.MultiSelectConfigurator<T,T,BaseSelectModeMultiSelectInputBuilder.SelectModeMultiSelectInputBuilder<T>>, BaseSelectModeMultiSelectInputBuilder<T,BaseSelectModeMultiSelectInputBuilder.SelectModeMultiSelectInputBuilder<T>>, ComponentConfigurator<BaseSelectModeMultiSelectInputBuilder.SelectModeMultiSelectInputBuilder<T>>, InputBuilder<Set<T>,MultiSelect<T>,BaseSelectModeMultiSelectInputBuilder.SelectModeMultiSelectInputBuilder<T>>, InputConfigurator<Set<T>,BaseSelectModeMultiSelectInputBuilder.SelectModeMultiSelectInputBuilder<T>>, MultiSelectInputBuilder<T,BaseSelectModeMultiSelectInputBuilder.SelectModeMultiSelectInputBuilder<T>>, SelectInputBuilder<Set<T>,MultiSelect<T>,T,T,BaseSelectModeMultiSelectInputBuilder.SelectModeMultiSelectInputBuilder<T>>, SelectItemDataSourceBuilder<Set<T>,MultiSelect<T>,T,T,BaseSelectModeMultiSelectInputBuilder.SelectModeMultiSelectInputBuilder<T>>
  Enclosing interface:
    BaseSelectModeMultiSelectInputBuilder<T,B extends BaseSelectModeMultiSelectInputBuilder<T,B>>

      public static interface BaseSelectModeMultiSelectInputBuilder.SelectModeMultiSelectInputBuilder<T>
      extends BaseSelectModeMultiSelectInputBuilder<T,BaseSelectModeMultiSelectInputBuilder.SelectModeMultiSelectInputBuilder<T>>

  A `MultiSelectInputBuilder` for `RenderingMode#SELECT`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectModeMultiSelectInputBuilder

      `BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T>, BaseSelectModeMultiSelectInputBuilder.SelectModeMultiSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.MultiSelectInputBuilder

      `MultiSelectInputBuilder.GenericMultiSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>>, BaseSelectInputBuilder.RenderingMode, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BaseSelectModeMultiSelectInputBuilder.SelectModeMultiSelectInputBuilder<T>` | `rows(int rows)` Sets the number of rows in the select.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.MultiSelectInputBuilder

      `withValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectItemDataSourceBuilder

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectInputBuilder

      `addItem, addItem, addItem, addItem, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator, itemDescriptionGenerator, itemIcon, itemIconGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputBuilder

      `asField, build, deferLocalization, dragSource, dropTarget, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### rows

          BaseSelectModeMultiSelectInputBuilder.SelectModeMultiSelectInputBuilder<T> rows(int rows)

      Sets the number of rows in the select.
      Parameters:
        `rows` - the number of rows to set
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.